<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Bootstrap Grid System</title>

	<!-- bootstrap CSS -->
	<link 	rel="stylesheet" 																					href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" 						integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" 				crossorigin="anonymous">

	<!-- external CSS -->
	<link rel="stylesheet" href="./index.css">
</head>
<body>
	<h1 class="text-center text-white bg-danger">Bootstrap Grid System</h1>
	<!-- CRC (Container Row Column) -->
	<div class="container-fluid">
		<div class="row">
			<!-- A div column can occupy more than 1 column.
			We may creat Layouts wherein one div occupies 8 columns
			and another occupies 4 columns to compose 12 columns in that row.-->
			<div class="col-md-8 bg-primary border border-dark">
				<p>
					Lorem ipsum dolor sit amet consectetur adipisicing, elit. Porro deserunt recusandae nostrum. Voluptates cupiditate inventore blanditiis odit cum voluptate odio eius vero. Dolor necessitatibus, ratione a facilis similique libero molestiae?
				</p>
			</div>
			<div class="col-md-8 bg-danger border border-dark">
				Lorem ipsum dolor sit amet consectetur adipisicing elit. Quia odio recusandae alias amet aliquid at incidunt, voluptatem animi optio totam explicabo culpa eveniet tempore inventore tempora quod distinctio quis. Lorem ipsum dolor sit amet consectetur adipisicing, elit. Voluptatibus tempore esse, alias voluptatem facilis, natus unde in expedita, tempora temporibus mollitia quis aspernatur nobis corrupti. Sunt eius debitis quis molestiae.
			</div>
		</div>
		<h2 class="text-center">Rows with 2 equal columns</h2>
		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row mt-3">
			<div class="col-6 bg-primary py-3 border border-dark">
				<h2 class="text-center">6 Columns</h2>
				<p>Lorem ipsum, dolor sit amet consectetur adipisicing, elit. Nemo iste assumenda, perspiciatis dignissimos architecto sit enim hic delectus? Iusto, dolores non debitis voluptates consectetur sit! Vel natus eos officiis quos?</p>
			</div>
			<div class="col-6 bg-danger py-3 border border-dark">
				6 columns
			</div>
		</div>
		<h3 class="text-center">1:2 Ratio</h3>
		<div class="row">
			<div class="col-4 bg-success py-3 border border-dark">
				4 Columns
			</div>
			<div class="col-8 bg-info py-3 border border-dark">
				8 Columns
			</div>
			
		</div>
		<!-- Mini Activity -->
		<h3 class="text-center">1:3 Ratio</h3>
		<div class="row">
			<div class="col-3 bg-danger py-3 border border-dark">
				3 columns
			</div>
			<div class="col-9 bg-warning py-3 border border-dark">
				9 columns
			</div>
		</div>
		<h3 class="text-center">1:2:1 Ratio</h3>
		<div class="row">
			<div class="col-3 bg-warning py-3 border border-dark">3 Columns</div>
			<div class="col-6 bg-success py-3 border border-dark">6 Columns</div>
			<div class="col-3 bg-warning py-3 border border-dark">3 Columns</div>
		</div>
		<h2 class="text-center">Autocolumns</h2>
		<div class="row">
			<div class="col bg-success py-5 border border-dark">Auto 1</div>
			<div class="col bg-primary py-5 border border-dark">Auto 2</div>
			<div class="col-8 bg-warning py-5 border border-dark">8 Columns</div>
			<div class="col bg-danger py-5 border border-dark">Auto 4</div>
			<div class="col bg-secondary py-5 border border-dark">Auto 5</div>
		</div>
		<h3 class="text-center">Rows with uneven columns</h3>
		<div class="row">
			<div class="col-7 bg-success py-5 border border-dark">7 Columns</div>
			<div class="col-5 bg-primary py-5 border border-dark">5 Columns</div>
			<div class="col-4 bg-warning py-5 border border-dark">4 Columns</div>
			<div class="col-4 bg-danger py-5 border border-dark">4 Columns</div>
			<div class="col-4 bg-secondary py-5 border border-dark">4 Columns</div>
			<div class="col-4 bg-secondary py-5 border border-dark">4 Columns</div>
			<div class="col-3 bg-primary py-5 border border-dark">5 Columns</div>
			<div class="col-1 bg-warning py-5 border border-dark">4 Columns</div>
			<div class="col-4 bg-danger py-5 border border-dark">4 Columns</div>
			<div class="col-4 bg-secondary py-5 border border-dark">4 Columns</div>
			<div class="col-4 bg-secondary py-5 border border-dark">4 Columns</div>
		</div>
		<h2 class="text-center">Responsive Columns</h2>
		<!-- 
			Breakpoints
			You can set the number of columns a div occupies per screen using breakpoints.
			However, by default, from the smallest screen, a div especially with class col will occupy 12 columns.
			Breakpoints are the screen or pont wherein the number of columns considered changes based on the screen size. So from the smallest screen, a div may occupy the whole row but in large screen it only occupies 6 columns.
			(sm-md-lg-xl)
		 -->
		 <div class="row">
		 	<div class="col-md-4 bg-secondary py-3 border border-dark">
		 		4 cols md to lg
		 	</div>
		 	<div class="col-md-6 bg-primary py-3 border border-dark">
		 		6 cols md to lg
		 	</div>
		 	<div class="col-md-2 bg-danger py-3 border border-dark">
		 		2 cols md to lg
		 	</div>
		 </div>
		 <h3 class="text-md-center">Breakpoints with Text-alignment</h3>
		 <div class="row">
		 <div class="col-6 col-md-8 text-md-left bg-success py-3 border border-dark">
		 	Div 1
		 </div>
		 <div class="col-6 col-md-4 text-md-right bg-warning py-3 border border-dark">
		 	Div 2
		 </div>
		 </div>

		 <!-- img fluid -->
		 <!-- img-fluid keeps our picture from overflowing out of its container. It also resizes your picture to fit the contatiner -->
		 <h3 class="text-center">Responsive Images</h3>
		 <div class="row">
		 	<div class=" col-2 bg-info py-3 border border-dark">
		 		<img class="img-fluid"
		 			 src="https://images.theconversation.com/files/229974/original/file-20180731-136679-bnupzu.png?ixlib=rb-1.1.0&q=45&auto=format&w=926&fit=clip" alt="kitkat">
		 	</div>
		 	<div class="col-md-8 bg-success py-3 border border-dark">
		 		With img-fluid
		 		<img class="img-fluid" src="https://i.guim.co.uk/img/media/42bec9e038a74f948c708096dac0a5a2ed4d3644/0_330_3500_2100/master/3500.jpg?width=1200&height=900&quality=85&auto=format&fit=crop&s=135036d53fe10881a0f403331abeb6f0" alt="burger">
		 	</div>
		 </div>
		 <!-- img-fluid outside a row/col -->
		 <div class="bg-warning border border-dark">
		 	<img id="image3" class="img-fluid" src="https://i.guim.co.uk/img/media/42bec9e038a74f948c708096dac0a5a2ed4d3644/0_330_3500_2100/master/3500.jpg?width=1200&height=900&quality=85&auto=format&fit=crop&s=135036d53fe10881a0f403331abeb6f0" alt="burger">
		 </div>
		 <!-- offset -->
		 <h3 class="text-center">Offsetting Columns</h3>
		 <div class="row">
		 	<div class="col-1 bg-secondary border border-dark">1</div>
		 	<div class="col-1 bg-secondary border border-dark">2</div>
		 	<div class="col-1 bg-secondary border border-dark">3</div>
		 	<div class="col-1 bg-secondary border border-dark">4</div>
		 	<div class="col-1 bg-secondary border border-dark">5</div>
		 	<div class="col-1 bg-secondary border border-dark">6</div>
		 	<div class="col-1 bg-secondary border border-dark">7</div>
		 	<div class="col-1 bg-secondary border border-dark">8</div>
		 	<div class="col-1 bg-secondary border border-dark">9</div>
		 	<div class="col-1 bg-secondary border border-dark">10</div>
		 	<div class="col-1 bg-secondary border border-dark">11</div>
		 	<div class="col-1 bg-secondary border border-dark">12</div>
		 </div>
		 <div class="row">
		 	<!-- offsetting also calculates the columns occupied by the divs -->
		 	<div class="col-4 bg-info py-3 border border-dark">div 1</div>
		 	<div class="col-2 offset-3 bg-success py-3 border border-dark">div 2</div>
		 	<div class="col-1 offset-3 bg-danger py-3 border border-dark">div 3</div>
		 </div>

	</div>

	<!-- js dependencies -->
	 <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" 							integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" 				crossorigin="anonymous"></script>
	 <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" 				integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" 				crossorigin="anonymous"></script>
</body>
</html>